import { connect } from 'umi';
import CommonBillComponent from '@/components/Common/CommonCheckBill';

function CommonBill({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const commonBillProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };

  return (
    <CommonBillComponent {...commonBillProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(CommonBill);

